﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TabSample
{
   public class ChartSample : ContentPage
    {
        public ChartSample()
        {
            ScrollView scrollView = new ScrollView();
            scrollView.VerticalOptions = LayoutOptions.Fill;
            scrollView.Orientation = ScrollOrientation.Vertical;

            StackLayout root = new StackLayout();
            root.VerticalOptions = LayoutOptions.FillAndExpand;
            root.Orientation = StackOrientation.Vertical;

            SfChart chart1 = new SfChart();
            chart1.HeightRequest = 500;
            chart1.WidthRequest = 350;
            chart1.VerticalOptions = LayoutOptions.FillAndExpand;
            chart1.VerticalOptions = LayoutOptions.FillAndExpand;
            chart1.Title.Text = "Chart 1";

            SfChart chart2 = new SfChart();
            chart2.Title.Text = "Chart 2";
            chart2.HeightRequest = 500;
            chart2.WidthRequest = 350;
            chart2.VerticalOptions = LayoutOptions.FillAndExpand;

            CategoryAxis xAxis1 = new CategoryAxis();
            chart1.PrimaryAxis = xAxis1;

            CategoryAxis xAxis2 = new CategoryAxis();
            chart2.PrimaryAxis = xAxis2;

            NumericalAxis yAxis1 = new NumericalAxis();
            chart1.SecondaryAxis = yAxis1;

            NumericalAxis yAxis2 = new NumericalAxis();
            chart2.SecondaryAxis = yAxis2;

            ViewModel dataModel = new ViewModel();

            ColumnSeries series1 = new ColumnSeries();
            series1.ItemsSource = dataModel.data1;
            chart1.Series.Add(series1);

            ColumnSeries series2 = new ColumnSeries();
            series2.ItemsSource = dataModel.data2;
            chart2.Series.Add(series2);

            root.Children.Add(chart1);
            root.Children.Add(chart2);

            scrollView.Content = root;
            Content = scrollView;

        }
    }

    public class ViewModel
    {
        public ObservableCollection<ChartDataPoint> data1;
        public ObservableCollection<ChartDataPoint> data2;
        public ViewModel()
        {
            data1 = new ObservableCollection<ChartDataPoint>();
            data2 = new ObservableCollection<ChartDataPoint>();

            data1.Add(new ChartDataPoint("Jan", 20));
            data1.Add(new ChartDataPoint("Feb", 25));
            data1.Add(new ChartDataPoint("Mar", 15));
            data1.Add(new ChartDataPoint("Apr", 28));
            data1.Add(new ChartDataPoint("May", 18));
            data1.Add(new ChartDataPoint("Jun", 25));

            data2.Add(new ChartDataPoint("Jan", 20));
            data2.Add(new ChartDataPoint("Feb", 25));
            data2.Add(new ChartDataPoint("Mar", 15));
            data2.Add(new ChartDataPoint("Apr", 28));
            data2.Add(new ChartDataPoint("May", 18));
            data2.Add(new ChartDataPoint("Jun", 25));

        }
    }
}
